Name: plymouth-theme-lxqt-altclub
Release: alt2
Version: 1.0

License: GPL3
Group: System/Base
Url: https://disk.yandex.ru/d/15OG3kHn4QLNhg?w=1
Packager: Koi <eg.evgeniy at gmail.com>
Source: %name-%version.tar.gz

Requires: plymouth-plugin-label
Requires: make-initrd-plymouth
Requires: plymouth-devel
Requires: plymouth-plugin-script
Requires: plymouth-scripts

BuildArch: noarch

Summary(ru_RU.UTF-8): Тема оформления plymouth для lxqt
Summary: Plymouth "LXQT" theme

%description
Theme for the lxqt desktop loading screen.

%description -l ru_RU.UTF-8
Тема для экрана загрузки рабочего стола lxqt.

%prep
%setup

%build
%install
mkdir -p %buildroot%_datadir/plymouth/themes/lxqt-altclub
cp -r * %buildroot%_datadir/plymouth/themes/lxqt-altclub

%post
# Установка темы
if [ $1 -eq 1 ]; then
    plymouth-set-default-theme lxqt-altclub
fi

%postun
# Удаление темы, 0 передаем для действий удаления
if [ $1 -eq 0 ]; then
    plymouth-set-default-theme --reset
fi

%files
%_datadir/plymouth/themes/lxqt-altclub

%changelog
* Sat Feb 27 2021 Koi <eg.evgeniy@gmail.com> 1.0-alt2
- Initial release for ALT Linux Club.
